unit Global;

interface

uses Classes, Forms, Sysutils;

type

  TApplicationUser = class( TComponent )
  private
    FUserId: Longint;
    FUserName: string;
    FUserGroup: Integer;
    FFirstName: string;
    FLastName: string;
  public
    property UserId: Longint read FUserId write FUserId;
    property UserName: string read FUserName write FUserName;
    property UserGroup: Integer read FUserGroup write FUserGroup;
    property FirstName: string read FFirstName write FFirstName;
    property LastName: string read FLastName write FLastName;
  end;

  { Generic application exception. }
  EApplicationException = class( Exception );

  { Login exceptions. }
  ELoginException = class( EApplicationException);
  ELoginInvalidInfo = class( ELoginException );
  ELoginCorrupt = class( ELoginException );
  ELoginMissingGroup = class( ELoginException );


var
  CurrentUser: TApplicationUser;

implementation

initialization
  CurrentUser := TApplicationUser.Create( Application );


end.
